%define distname blobby2-linux-%{version}

Summary:	Blobby Volley 2 arcade game
Name:		blobby
Epoch:		1
Version:	1.1.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Games/Sports
Url:		https://sourceforge.net/projects/blobby/
Source0:	https://prdownloads.sourceforge.net/%{name}/%{distname}.tar.gz
Patch0:		blobby2-1.1.1-mga-games-install-dirs.patch
# From debian
Patch102:	02_use_system_lua.patch
Patch104:	04_use_system_tinyxml.patch

BuildRequires:	boost-devel
BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	pkgconfig(physfs)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(tinyxml2)
BuildRequires:	pkgconfig(lua)
BuildRequires:	zip

%description
Blobby Volley 2 is an arcade game with a simple gameplay and funny
characters design.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -std=gnu17"
export CXXFLAGS="%{optflags} -std=gnu++17"
%cmake
%cmake_build

%install
%cmake_install

%files
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-server
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/%{name}.appdata.xml


%changelog
* Fri May 09 2025 ns80 <ns80> 1:1.1.1-3.mga10
+ Revision: 2182140
- try to fix building with GCC 15

* Tue Feb 13 2024 daviddavid <daviddavid> 1:1.1.1-2.mga10
+ Revision: 2040963
- rebuild for new tinyxml2 10.0.0

* Wed Nov 01 2023 daviddavid <daviddavid> 1:1.1.1-1.mga10
+ Revision: 2003221
- new version: 1.1.1
- use upstream desktop, icons and metainfo files
- switch to tinyxml2

* Fri Apr 01 2022 umeabot <umeabot> 1:1.0-12.mga9
+ Revision: 1838944
- Mageia 9 Mass Rebuild

* Sat Apr 10 2021 wally <wally> 1:1.0-11.mga9
+ Revision: 1714564
- rebuild for lua 5.4
- rebuild for lua 5.4
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 daviddavid <daviddavid> 1:1.0-9.mga8
+ Revision: 1511660
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 1:1.0-8.mga7
+ Revision: 1295508
- Mageia 7 Mass Rebuild

* Sun Mar 20 2016 wally <wally> 1:1.0-7.mga6
+ Revision: 993162
- add patches from debian to build with system lua5.2 and tinyxml
- add patch from debian to use SDL as a default renderer
- add patch from debian to not override CXXFLAGS
- use cmake macro to build

* Sat Feb 20 2016 umeabot <umeabot> 1:1.0-6.mga6
+ Revision: 971527
- Mageia 6 Mass Rebuild

* Thu Oct 15 2015 blino <blino> 1:1.0-5.mga6
+ Revision: 891908
- add upstream patch for missing include (fix build with latest libstdc++)

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0-4.mga5
+ Revision: 742239
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0-3.mga5
+ Revision: 678175
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 zezinho <zezinho> 1:1.0-2.mga5
+ Revision: 643417
- bump release as it was provided as update to MGA4

* Sat Jun 21 2014 akien <akien> 1:1.0-1.mga5
+ Revision: 638291
- Final 1.0 version
- Add a patch to properly install in typical games installation dirs (and remove previous hack)
- Install the icon provided in the source instead of secondary source
- Add appdata file from Fedora

* Sat Oct 19 2013 umeabot <umeabot> 1:1.0-0.rc3.3.mga4
+ Revision: 529376
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 1:1.0-0.rc3.2.mga4
+ Revision: 451709
- rebuild for new boost

* Tue Jul 09 2013 dams <dams> 1:1.0-0.rc3.1.mga4
+ Revision: 451581
- add %%Epoch
- Fix %%release

* Fri Jan 11 2013 umeabot <umeabot> 1.0rc3-3.mga3
+ Revision: 346918
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.0rc3-2.mga3
+ Revision: 343833
- updated RPM group

* Mon Dec 03 2012 zezinho <zezinho> 1.0rc3-1.mga3
+ Revision: 326055
- fix path
- new version

* Tue Mar 06 2012 zezinho <zezinho> 0.9c-2.mga2
+ Revision: 220487
- remove soundwrapper from menu as it is not used anymore

* Mon Dec 19 2011 zezinho <zezinho> 0.9c-1.mga2
+ Revision: 184468
- new version

* Sun Jul 10 2011 stormi <stormi> 0.9b-2.mga2
+ Revision: 121953
- update to 0.9b
- remove buildroot definition
- fix license

* Sat Jun 11 2011 zezinho <zezinho> 0.7.0-0.20091002.1.mga2
+ Revision: 103394
- imported package blobby


* Thu Dec 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.0-0.20091002.2mdv2011.0
+ Revision: 616777
- the mass rebuild of 2010.0 packages

* Fri Oct 02 2009 Olivier Blin <oblin@mandriva.com> 0.7.0-0.20091002.1mdv2010.0
+ Revision: 452633
- buildrequire boost-devel
- buildrequires cmake
- add wrappers to run from data dir
- update to 20091002 snapshost (fix build with gcc >= 4.3)
- use cmake to install
- update URL
- restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild for new libphysfs

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.6.a-1.20061105mdv2008.1
+ Revision: 122747
- kill re-definition of %%buildroot on Pixel's request
- kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sat Dec 02 2006 Olivier Blin <oblin@mandriva.com> 0.6.a-1.20061105mdv2007.0
+ Revision: 89967
- add menu entry

* Sun Nov 05 2006 Olivier Blin <oblin@mandriva.com> 0.6.a-0.20061105mdv2007.1
+ Revision: 76726
- buildrequire zip
- initial blobby volley release
- Create blobby

